Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Interface ListComponent

All Superinterfaces:
  java.lang.Cloneable, Component, JRCloneable

All Known Implementing Classes:
  StandardListComponent

    public interface ListComponent

extends Component, JRCloneable

List component interface.

Version:
  $Id: ListComponent.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`ListContents` | `getContents()` Returns the list item contents.
`JRDatasetRun` | `getDatasetRun()` Returns the subdataset run information that will be used by this list.
`java.lang.Boolean` | `getIgnoreWidth()` Returns the flag that determines whether the element width is to be ignored when filling this list.
`java.lang.Byte` | `getPrintOrder()` Deprecated. Replaced by `getPrintOrderValue()`.
`PrintOrderEnum` | `getPrintOrderValue()` Returns the print order of the list cells.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getDatasetRun

    JRDatasetRun getDatasetRun()

  Returns the subdataset run information that will be used by this list.

  This information is required to instantiate a subdataset from the report. The data produced by the subdataset is fed to the list item contents.

  Returns:
    the subdataset run information

### getContents

    ListContents getContents()

  Returns the list item contents.

  Each record produced by the list subdataset is used to fill the list item contents and the result is included in the generated report.

  Returns:
    the list item contents

### getPrintOrder

    java.lang.Byte getPrintOrder()

  Deprecated. Replaced by `getPrintOrderValue()`.

### getPrintOrderValue

    PrintOrderEnum getPrintOrderValue()

  Returns the print order of the list cells.

  The list cells can be either printed vertically one beneath another (on a single column), or horizontally on rows of 2 or more columns.

  The default print order (used when no explicit order has been set) is vertical.

  Returns:
    the list print order if set, one of
    - `PrintOrderEnum.VERTICAL`
    - `PrintOrderEnum.HORIZONTAL`
  See Also:
    `ListContents.getWidth()`

### getIgnoreWidth

    java.lang.Boolean getIgnoreWidth()

  Returns the flag that determines whether the element width is to be ignored when filling this list.

  This flag only applies to horizontally filled reports. If the flag is set, the list will be filled on a single row.

  By default, the flag is not set.

  See Also:
    `getPrintOrder()`, `JRCrosstab.setIgnoreWidth(Boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com